## org.gnu.gtk
Class RcStyle

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.RcStyle

public class RcStyle
extends GObject

A class that provides runtime routines for handling resource files.

Constructor Summary
`RcStyle()` Construct a new RcStyle.
`RcStyle(org.gnu.glib.Handle handle)` Construct a new RcStyle from a given handle to a native resource.

Method Summary
`FontDescription` `getFontDescription()`
`java.lang.String` `getName()`
`static RcStyle` `getRcStyle(org.gnu.glib.Handle handle)` Construct a new RcStyle from a given handle to a native resource.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RcStyle

    public RcStyle()

  Construct a new RcStyle.

### RcStyle

    public RcStyle(org.gnu.glib.Handle handle)

  Construct a new RcStyle from a given handle to a native resource.

Method Detail

### getRcStyle

    public static RcStyle getRcStyle(org.gnu.glib.Handle handle)

  Construct a new RcStyle from a given handle to a native resource.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getFontDescription

    public FontDescription getFontDescription()

### getName

    public java.lang.String getName()